Shopping Keyword Periods
curl --request GET \
--url https://scrapebadger.com/v1/naver/shopping/keyword-periods \
--header 'X-API-Key: <x-api-key>'import requests
url = "https://scrapebadger.com/v1/naver/shopping/keyword-periods"
headers = {"X-API-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<x-api-key>'}};
fetch('https://scrapebadger.com/v1/naver/shopping/keyword-periods', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"category_id": "<string>",
"age_type": "<string>",
"sort_type": "<string>",
"period_type": "<string>",
"result_count": 123,
"periods": [
{
"ymd": "<string>",
"ended_at": "<string>",
"month": 123,
"week": 123,
"period_type": "<string>",
"has_next": true,
"has_prev": true
}
]
}Shopping Intelligence
Shopping Keyword Periods
The list of available periods for the Naver Shopping keyword ranking, for a category and age bracket.
GET
/
v1
/
naver
/
shopping
/
keyword-periods
Shopping Keyword Periods
List the available periods for the Naver Shopping keyword ranking — the weeks or months you can request from
/shopping/keywords for a given category and age bracket. The complete period list is returned in one response.
Credits: 5
Authorization
string
required
Your ScrapeBadger API key.
Query Parameters
string
default:"A"
A, or an 8-digit category id.string
default:"ALL"
Age bracket, e.g.
ALL, MEN_20.string
default:"KEYWORD_NEW"
Fixed at
KEYWORD_NEW.string
default:"WEEKLY"
WEEKLY or MONTHLY.Response
string
string
string
string
integer
Period[]
Example
curl "https://scrapebadger.com/v1/naver/shopping/keyword-periods?category_id=A&period_type=WEEKLY" \
-H "X-API-Key: YOUR_API_KEY"
const res = await fetch(
"https://scrapebadger.com/v1/naver/shopping/keyword-periods?" +
new URLSearchParams({"category_id": "A", "period_type": "WEEKLY"}),
{ headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY } },
);
const data = await res.json();
import requests
res = requests.get(
"https://scrapebadger.com/v1/naver/shopping/keyword-periods",
headers={"X-API-Key": "YOUR_API_KEY"},
params={"category_id": "A", "period_type": "WEEKLY"},
)
data = res.json()
Response
{
"category_id": "A",
"age_type": "ALL",
"sort_type": "KEYWORD_NEW",
"period_type": "WEEKLY",
"result_count": 12,
"periods": [
{
"ymd": "20260804",
"ended_at": "20260810",
"month": 8,
"week": 1,
"period_type": "WEEKLY",
"has_next": false,
"has_prev": true
}
]
}
Errors
| Status | Meaning |
|---|---|
422 | Naver served a challenge instead of content — not billed. Retry; it succeeds. |
502 | Unexpected upstream failure — not billed. |

